#!/bin/sh
################################################################################
#	BdsUpdateTo64	Updates a system from 32bitr BDS to 64bit BDS
#			T.Barnaby,	BEAM Ltd,	2013-04-10
################################################################################
#
#
# This scripts updates a BDS system from 32bit binaries to 64bit binaries

echo "Updating BDS packages from 32bit to 64bit versions"

# Get list of installed BDS packages
rpm -qa --qf "%{NAME}\n" | grep "^bds" > /tmp/bds_rpms.txt

# Get list of utlity packages
rpm -qa | grep libgcf2 > /tmp/bds_extra_rpms.txt
rpm -qa | grep libmseed >> /tmp/bds_extra_rpms.txt
rpm -qa | grep mailutils >> /tmp/bds_extra_rpms.txt

# Remove them
echo "Remove old BDS packages"
yum remove -y `cat /tmp/bds_rpms.txt` `cat /tmp/bds_extra_rpms.txt`

# Re-install bds
echo "Install new BDS packages"
yum install -y `cat /tmp/bds_rpms.txt`

# Restore configuration files
if [ -e /etc/bdsServer.conf.rpmsave ]; then
	cp /etc/bdsServer.conf.rpmsave /etc/bdsServer.conf
fi
if [ -e /etc/bdsImportCd.conf.rpmsave ]; then
	cp /etc/bdsImportCd.conf.rpmsave /etc/bdsImportCd.conf
fi
if [ -e /etc/bdsImportScream.conf.rpmsave ]; then
	cp /etc/bdsImportScream.conf.rpmsave /etc/bdsImportScream.conf
fi
if [ -e /etc/bdsWeb.conf.rpmsave ]; then
	cp /etc/bdsWeb.conf.rpmsave /etc/bdsWeb.conf
fi
if [ -e /etc/bdsAutodrm.conf.rpmsave ]; then
	cp /etc/bdsAutodrm.conf.rpmsave /etc/bdsAutodrm.conf
fi

exit 0
